Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface IdentifierTree

All Superinterfaces:
  ExpressionTree, Tree

    public interface IdentifierTree
    extends ExpressionTree

A tree node for an identifier expression. For example:

       name

Since:
  9

### Nested Class Summary

### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Returns the name of this identifier.

### Methods inherited from interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getName

    String getName()

Returns the name of this identifier.

Returns:
  the name of this identifier